﻿@using Portal.Models.Globals;
@using System.Web.UI.WebControls;
@using Portal.Models.Supplier;
@using Portal.Models.Part;
@using Portal.Models.Dock;
<table style="margin-left: 20px;" border="0">
    <tr>
        <td nowrap="nowrap">
            Supplier Code<b style="color: Red;">*</b>
        </td>
        <td colspan="6">
            @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "OSPSupplierCADIT";
                    gridLookup.Width = 80;
                    gridLookup.ShowDescription = true;
                    gridLookup.DescriptionWidth = Unit.Pixel(320);
                    gridLookup.GridProperties.KeyFieldName = "SUPP_CD;SUPP_NAME";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "SupplierProfile", Action = "PartialSupplierLookupGridCADIT" };//"PartialHeaderSupplierLookupGridSupplierInfo" };
                    gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "SUPPLIER_CODE";
                        column.FieldName = "SUPP_CD";
                        column.Caption = "Supplier<br /> Code";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });

                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "SUPPLIER_NAME";
                        column.FieldName = "SUPP_NAME";
                        column.Caption = "Supplier<br />Name";
                        column.Width = Unit.Pixel(400);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                }).Bind(ViewData["SupplierGridLookup"]).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Terminal Amount";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
        <td style="padding-right:20px">
            @Html.DevExpress().SpinEdit(
                settings =>
                {
                    settings.Name = "txtTerminalAmount";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 80;
                    settings.Properties.MaxLength = 16;
                    settings.Properties.DecimalPlaces = 2;
                    settings.Properties.MinValue = 0;
                    settings.Properties.MaxValue = 10000000000000;
                    settings.Number = 0;
                }
            ).GetHtml()
        </td>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Engineer";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
        <td style="padding-right:10px">
            @Html.DevExpress().SpinEdit(
                settings =>
                {
                    settings.Name = "txtEngineerCadIt";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 80;
                    //settings.Properties.MaxLength = 16;
                    //settings.Properties.DecimalPlaces = 2;
                    settings.Properties.MinValue = 0;
                    settings.Number = 0;
                }
            ).GetHtml()
        </td>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Cam Complete";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
        <td>
            @Html.DevExpress().CheckBox(
                settings =>
                {
                    settings.Name = "txtCamComplete";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 80;
                }
            ).GetHtml()
        </td>
        <td>
            @Html.DevExpress().SpinEdit(
                settings =>
                {
                    settings.Name = "txtItemNoCadIt";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 80;
                    settings.ClientVisible = false;
                    settings.Properties.MaxLength = 10;
                }
            ).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Operator";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
        <td>
            @Html.DevExpress().SpinEdit(
                settings =>
                {
                    settings.Name = "txtOperatorCadIt";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 80;
                    //settings.Properties.MaxLength = 6;
                    //settings.Properties.DecimalPlaces = 2;
                    settings.Properties.MinValue = 0;
                    settings.Number = 0;
                }
            ).GetHtml()
        </td>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Internet Bandwith";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
        <td>
            @Html.DevExpress().SpinEdit(
                settings =>
                {
                    settings.Name = "txtInternetBandwith";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 80;
                    settings.Properties.MaxLength = 6;
                    settings.Properties.DecimalPlaces = 2;
                    settings.Properties.MinValue = 0;
                    settings.Number = 0;
                }
            ).GetHtml()
        </td>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Printer";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
        <td>
            @Html.DevExpress().CheckBox(
                settings =>
                {
                    settings.Name = "txtPrinterCadIt";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 80;
                }
            ).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "CAD Type";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
        <td colspan="2">
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "txtCADType";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 150;
                    settings.Properties.MaxLength = 20;
                }
            ).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Printer Size";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
        <td>
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "txtPrinterSize";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 80;
                    settings.Properties.MaxLength = 10;
                }
            ).GetHtml()
        </td>
    </tr>
    <tr>
        <td colspan="4"></td>
        <td colspan="2" align="center">
            <table style="width:100%" border="0">
                <tr>
                    <td align="right" style="width:60%">
                        @Html.DevExpress().Button(
                        btnSettings =>
                        {
                            btnSettings.Name = "btnSaveCadIt";
                            btnSettings.ControlStyle.CssClass = "button";
                            btnSettings.Text = "Save";
                            btnSettings.Width = 80;
                            btnSettings.UseSubmitBehavior = true;
                            btnSettings.ClientSideEvents.Click = "BeginAddNewCadIt";
                        }
                    ).GetHtml()
                    </td>
                    <td align="right" style="width:40%">
                        @Html.DevExpress().Button(
                        btnSettings =>
                        {
                            btnSettings.Name = "btnCancelNewCadIt";
                            btnSettings.ControlStyle.CssClass = "button";
                            btnSettings.Text = "Cancel";
                            btnSettings.Width = 80;
                            btnSettings.ClientSideEvents.Click = "CancelAddNewCadIt";
                        }
                    ).GetHtml()
                    </td>
                </tr>
            </table>
        </td>
    </tr>
</table>
